Knowledge
Stage knowledge retrieval settings in the agent draft
PUT
/
v1
/
agents
/
{agent_id}
/
knowledge
/
retrieval-settings
Stage knowledge retrieval settings in the agent draft
curl --request PUT \
--url https://api.sempera.org/v1/agents/{agent_id}/knowledge/retrieval-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expect_revision": "<string>",
"settings": {
"boost_columns": {},
"exclude_fields": [
"<string>"
]
}
}
'import requests
url = "https://api.sempera.org/v1/agents/{agent_id}/knowledge/retrieval-settings"
payload = {
"expect_revision": "<string>",
"settings": {
"boost_columns": {},
"exclude_fields": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expect_revision: '<string>',
settings: {boost_columns: {}, exclude_fields: ['<string>']}
})
};
fetch('https://api.sempera.org/v1/agents/{agent_id}/knowledge/retrieval-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"settings": {
"boost_columns": {},
"exclude_fields": [
"<string>"
]
},
"revision": "<string>",
"applies_to": "next_published_version",
"note": "<string>"
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}Authorizations
A workspace API key, sent as Authorization: Bearer sempera_sk_... Each operation names the one scope it needs. Scopes, key kinds and roles are in the Authentication guide.
Path Parameters
⌘I
Stage knowledge retrieval settings in the agent draft
curl --request PUT \
--url https://api.sempera.org/v1/agents/{agent_id}/knowledge/retrieval-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expect_revision": "<string>",
"settings": {
"boost_columns": {},
"exclude_fields": [
"<string>"
]
}
}
'import requests
url = "https://api.sempera.org/v1/agents/{agent_id}/knowledge/retrieval-settings"
payload = {
"expect_revision": "<string>",
"settings": {
"boost_columns": {},
"exclude_fields": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expect_revision: '<string>',
settings: {boost_columns: {}, exclude_fields: ['<string>']}
})
};
fetch('https://api.sempera.org/v1/agents/{agent_id}/knowledge/retrieval-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"settings": {
"boost_columns": {},
"exclude_fields": [
"<string>"
]
},
"revision": "<string>",
"applies_to": "next_published_version",
"note": "<string>"
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}